package com.sinosig.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.client.model.ICPXH;
import com.sinosig.util.SearchContext;

/**
 * 实体[CPXH] 服务对象接口
 */
public interface ICPXHClientService{

    public ICPXH createModel() ;

    public void update(ICPXH cpxh);

    public Page<ICPXH> fetchDefault(SearchContext context);

    public void create(ICPXH cpxh);

    public void get(ICPXH cpxh);

    public void remove(ICPXH cpxh);

    public Page<ICPXH> select(SearchContext context);

    public void getDraft(ICPXH cpxh);

    public void checkKey(ICPXH cpxh);

    public void save(ICPXH cpxh);

}
